Loading...
Searching...
No Matches
Opm::FvBaseExtensiveQuantities< TypeTag > Class Template Reference

Provide the properties at a face which make sense independently of the conserved quantities. More...

`#include <fvbaseextensivequantities.hh>`

## Public Member Functions

void | update (const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx)
| Update the extensive quantities for a given sub-control-volume face.
template<class Context, class FluidState>
void | updateBoundary (const Context &context, unsigned bfIdx, unsigned timeIdx, const FluidState &)
| Update the extensive quantities for a given boundary face.
Scalar | extrusionFactor () const
| Returns th extrusion factor for the sub-control-volume face.
unsigned short | interiorIndex () const
| Return the local index of the control volume which is on the "interior" of the sub-control volume face.
unsigned short | exteriorIndex () const
| Return the local index of the control volume which is on the "exterior" of the sub-control volume face.

## Static Public Member Functions

static void | registerParameters ()
| Register all run-time parameters for the extensive quantities.

## Detailed Description

template<class TypeTag>
class Opm::FvBaseExtensiveQuantities< TypeTag >

Provide the properties at a face which make sense independently of the conserved quantities.

## Member Function Documentation

## update()

template<class TypeTag>

void Opm::FvBaseExtensiveQuantities< TypeTag >::update | ( | const ElementContext & | elemCtx,
|  | unsigned | scvfIdx,
|  | unsigned | timeIdx )

inline

Update the extensive quantities for a given sub-control-volume face.

Parameters

  elemCtx | Reference to the current element context.
  scvfIdx | The local index of the sub-control-volume face for which the extensive quantities should be calculated.
  timeIdx | The index used by the time discretization.

## updateBoundary()

template<class TypeTag>
template<class Context, class FluidState>

void Opm::FvBaseExtensiveQuantities< TypeTag >::updateBoundary | ( | const Context & | context,
|  | unsigned | bfIdx,
|  | unsigned | timeIdx,
|  | const FluidState & | )

inline

Update the extensive quantities for a given boundary face.

Parameters

  context | Reference to the current execution context.
  bfIdx | The local index of the boundary face for which the extensive quantities should be calculated.
  timeIdx | The index used by the time discretization.
  fluidState | The FluidState on the domain boundary.
  paramCache | The FluidSystem's parameter cache.

The documentation for this class was generated from the following file:

- opm/models/discretization/common/fvbaseextensivequantities.hh